## org.springframework.jdbc.datasource.embedded
Interface ConnectionProperties

    public interface ConnectionProperties

DataSourceFactory helper that allows essential JDBC connection properties to be configured consistently, independent of the actual DataSource implementation.

Since:
  3.0
Author:
  Keith Donald
See Also:
  `DataSourceFactory`

Method Summary
`void` `setDriverClass(Class<? extends Driver> driverClass)` Set the JDBC driver to use to connect to the database.
`void` `setPassword(String password)` Sets the password to use to connect to the database.
`void` `setUrl(String url)` Sets the JDBC connection URL of the database.
`void` `setUsername(String username)` Sets the username to use to connect to the database.

Method Detail

### setDriverClass

    void setDriverClass(Class<? extends Driver> driverClass)

  Set the JDBC driver to use to connect to the database.

  Parameters:
    `driverClass` - the jdbc driver class

### setUrl

    void setUrl(String url)

  Sets the JDBC connection URL of the database.

  Parameters:
    `url` - the connection url

### setUsername

    void setUsername(String username)

  Sets the username to use to connect to the database.

  Parameters:
    `username` - the username

### setPassword

    void setPassword(String password)

  Sets the password to use to connect to the database.

  Parameters:
    `password` - the password